Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.engine.api
Interface IPostscriptRenderOption

All Superinterfaces:
  IRenderOption, ITaskOption

    public interface IPostscriptRenderOption

extends IRenderOption

Field Summary
`static java.lang.String` | `OPTION_COLLATE`
`static java.lang.String` | `OPTION_COLOR`
`static java.lang.String` | `OPTION_COPIES`
`static java.lang.String` | `OPTION_DUPLEX`
`static java.lang.String` | `OPTION_PAPER_SIZE`
`static java.lang.String` | `OPTION_PAPER_TRAY`
`static java.lang.String` | `OPTION_RESOLUTION`
`static java.lang.String` | `OPTION_SCALE`
`static java.lang.String` | `PS_LEVEL`

Fields inherited from interface org.eclipse.birt.report.engine.api.IRenderOption
`ACTION_HANDLER, APP_BASE_URL, BASE_URL, CHART_DPI, CLOSE_OUTPUTSTREAM_ON_EXIT, EMITTER_ID, HTML_PAGINATION, IMAGE_HANDLER, LOCALE, OUTPUT_DISPLAY_NONE, OUTPUT_EMITTERID_HTML, OUTPUT_EMITTERID_PDF, OUTPUT_FILE_NAME, OUTPUT_FORMAT, OUTPUT_FORMAT_FO, OUTPUT_FORMAT_HTML, OUTPUT_FORMAT_PDF, OUTPUT_STREAM, RENDER_DPI, RTL_FLAG, SUPPORTED_IMAGE_FORMATS`

Method Summary
`boolean` | `getCollate()`
`boolean` | `getColor()`
`int` | `getCopies()`
`java.lang.String` | `getDuplex()`
`java.lang.String` | `getPaperSize()`
`java.lang.String` | `getPaperTray()`
`int` | `getPostscriptLevel()` Gets postscript level.
`java.lang.String` | `getResolution()`
`int` | `getScale()`
`void` | `setCollate(boolean collate)`
`void` | `setColor(boolean color)`
`void` | `setCopies(int copies)`
`void` | `setDuplex(java.lang.String duplex)`
`void` | `setPaperSize(java.lang.String paperSize)`
`void` | `setPaperTray(java.lang.String paperTray)`
`void` | `setPostscriptLevel(int level)` Sets postscript level.
`void` | `setResolution(java.lang.String resolution)`
`void` | `setScale(int scale)`

Methods inherited from interface org.eclipse.birt.report.engine.api.IRenderOption
`getActionHandle, getActionHandler, getAppBaseURL, getBaseURL, getEmitterID, getImageHandle, getImageHandler, getOutputFileName, getOutputFormat, getOutputSetting, getOutputStream, getSupportedImageFormats, setActionHandle, setActionHandler, setAppBaseURL, setBaseURL, setEmitterID, setImageHandle, setImageHandler, setOutputFileName, setOutputFormat, setOutputStream, setSupportedImageFormats`

Methods inherited from interface org.eclipse.birt.report.engine.api.ITaskOption
`getOption, getOptions, hasOption, setOption`

Field Detail

### PS_LEVEL

    static final java.lang.String PS_LEVEL

See Also:
  Constant Field Values

### OPTION_PAPER_SIZE

    static final java.lang.String OPTION_PAPER_SIZE

See Also:
  Constant Field Values

### OPTION_PAPER_TRAY

    static final java.lang.String OPTION_PAPER_TRAY

See Also:
  Constant Field Values

### OPTION_DUPLEX

    static final java.lang.String OPTION_DUPLEX

See Also:
  Constant Field Values

### OPTION_COPIES

    static final java.lang.String OPTION_COPIES

See Also:
  Constant Field Values

### OPTION_COLLATE

    static final java.lang.String OPTION_COLLATE

See Also:
  Constant Field Values

### OPTION_RESOLUTION

    static final java.lang.String OPTION_RESOLUTION

See Also:
  Constant Field Values

### OPTION_COLOR

    static final java.lang.String OPTION_COLOR

See Also:
  Constant Field Values

### OPTION_SCALE

    static final java.lang.String OPTION_SCALE

See Also:
  Constant Field Values

Method Detail

### setPostscriptLevel

    void setPostscriptLevel(int level)

  Sets postscript level.

  Parameters:
    `level` -

### getPostscriptLevel

    int getPostscriptLevel()

  Gets postscript level.

### setPaperSize

    void setPaperSize(java.lang.String paperSize)

### getPaperSize

    java.lang.String getPaperSize()

### setPaperTray

    void setPaperTray(java.lang.String paperTray)

### getPaperTray

    java.lang.String getPaperTray()

### setDuplex

    void setDuplex(java.lang.String duplex)

### getDuplex

    java.lang.String getDuplex()

### setCopies

    void setCopies(int copies)

### getCopies

    int getCopies()

### setCollate

    void setCollate(boolean collate)

### getCollate

    boolean getCollate()

### setResolution

    void setResolution(java.lang.String resolution)

### getResolution

    java.lang.String getResolution()

### setColor

    void setColor(boolean color)

### getColor

    boolean getColor()

### setScale

    void setScale(int scale)

### getScale

    int getScale()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.